/* util.h
 *	Some useful utilities
 */

#ifndef _GMTU_CURVE_UTIL_H_
#define _GMTU_CURVE_UTIL_H_

typedef struct _gmtu_Button{
    int x1, y1;
    int x2, y2;
    char str[20];
    void *font;
} gmtu_Button;

extern void gmtuButtonEffect(int, int, int, int);
extern void gmtuButton(int, int, int, int, char *, void *);
extern void gmtuButtonDraw(gmtu_Button *);
extern void gmtuButtonInverseDraw(gmtu_Button *);
extern int  gmtuButtonIn(gmtu_Button *, int, int);

extern void gmtuDrawPara(char *, int, int, int, void *);

#endif

